<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.7

Copyright (C) 2006-2007  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/

// Vérification des tentatives de hack
$pos=strpos($_SERVER['PHP_SELF'],"inc.php");
if ($pos===FALSE)
	$ok_inc=TRUE;
else
	$ok_inc=FALSE;
if ($ok_inc==FALSE) header("Location: ../index.php");

include_once("../inc/func.inc.php");
include_once("../inc/func_date.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../inc/fic_age.inc.php");
include_once("../inc/fic_cli.inc.php");
Archivelog(@$_SESSION["code_log"]);

$cc = strip_tags(trim($_GET['cc'])); // Récupération code Client

$notes_ok = TRUE;

if ($cc <> "")
{
	// Récupération des informations client
	$row = lit_enr_cli($cc);
	if (is_array($row))
	{
		extract ($row);

		if (@$_SESSION["niv_log"] >=3)
		{
			switch(@$_SESSION["niv_log"])
			{
				case 3 :
				case 4 :
					if (client_age_ok($cli_code,@$_SESSION["code_age"],TRUE)==FALSE)
						$notes_ok = TRUE;
					break;
				default :
					break;
			}
		}
		else
		{
			$notes_ok = FALSE;
		}
	}
	else
		$notes_ok = FALSE;
}
else
	$notes_ok = FALSE;
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SMI - ESPACE PRIVE : Notes client</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style pour les affichages du menu -->


<!-- Scripts Javascript pour fenêtres -->
<script language="JavaScript" src="../jscript/fen.js"></script>

<!-- Scripts Javascript pour vérifications -->
<script language="JavaScript" src="../jscript/verif_field.js"></script>

</head>
<body>
<?PHP
if ($notes_ok == TRUE)
{
?>
	<p align="center"> <span class="titrepage">NOTES CLIENTS </span></p>
	<?PHP
	if ($cli_ste <> "")
		$txt_cli = $cli_ste.", ".$cli_civilite." ".$cli_prenom." ".$cli_nom;
	else
		$txt_cli = $cli_civilite." ".$cli_prenom." ".$cli_nom;
	?>
	<p align="center"><span class="titre_gras"><?php echo $txt_cli; ?></span></p>
	
	<?PHP
	if ((@$_SESSION["niv_log"] == 5) OR (@$_SESSION["niv_log"] == 9))
	{
	?>
	<!-- Notes Administration -->
	<table width="800"  border="0">
	<tr>
		<td width="200" class="rubfrm" id="f_notesa"><div align="right">Notes Administration </div></td>
		<td>
			<textarea name="notaa" cols="90" rows="5" id="notaa" readonly="readonly"><?PHP echo $cli_notaa ?></textarea>
		</td>
	</tr>
	</table>
	<?PHP
	}

	if (@$_SESSION["niv_log"] >= 3)
	{
	?>
	<br>
	<!-- Notes Techniques -->
	<table width="800"  border="0">
	<tr>
		<td width="200" class="rubfrm" id="f_notesa"><div align="right">Notes Techniciens</div></td>
		<td>
			<textarea name="notaa" cols="90" rows="5" id="notat" readonly="readonly"><?PHP echo $cli_notat ?></textarea>
		</td>
	</tr>
	</table>
	<?PHP
	}
	?>
	
	<br>
	
	<!-- bouton de fermeture de la fenêtre -->
	<div align="center">
		<input name="ferm" type="button" class="bton_fmarr_std" id="ferm" value="Fermer la fen&ecirc;tre" onclick="javascript:; self.close('fscomp');">
	</div>
<?PHP
}
else
{
?>
	<script type="text/javascript">
	self.close('fscomp');
	</script>
<?PHP
}
?>
</body>
</html>
